# $Revision: 1.15 $, $Date: 2011/09/27 21:53:33 $
%define		pkgname	hashed-storage
Summary:	Hashed file storage support code
Name:		ghc-%{pkgname}
Version:	0.5.8
Release:	1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	31abd73fc4566e04b056fc22acdec2aa
URL:		http://hackage.haskell.org/package/hashed-storage/
BuildRequires:	ghc >= 7.2
BuildRequires:	ghc-dataenc
BuildRequires:	ghc-mmap >= 1:0.5
BuildRequires:	ghc-zlib
BuildRequires:	rpmbuild(macros) >= 1.608
Requires:	ghc-dataenc
Requires:	ghc-zlib
%requires_eq	ghc
%requires_eq	ghc-mmap
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Support code for reading and manipulating hashed file storage (where
each file and directory is associated with a cryptographic hash, for
corruption-resistant storage and fast comparisons).

The supported storage formats include darcs hashed pristine, a plain
filesystem tree and an indexed plain tree (where the index maintains
hashes of the plain files and directories).

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc NEWS
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-hashed-storage.spec,v $
Revision 1.15  2011/09/27 21:53:33  baggins
- fix R/BR

Revision 1.14  2011/09/27 21:51:27  baggins
- 0.5.8

Revision 1.13  2011/02/28 09:27:21  glen
- update packaging, %requires_eq dep on ghc

Revision 1.12  2011/02/24 11:32:07  glen
- release 3

Revision 1.11  2011/02/24 11:09:03  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.10  2010/08/28 00:06:36  baggins
- release 2

Revision 1.9  2010/08/28 00:04:11  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.8  2010/08/27 21:17:05  baggins
- rel 1
- R build-time ghc-mmap version

Revision 1.7  2010/08/27 20:46:43  baggins
- 0.5.2

Revision 1.6  2010/08/27 20:29:23  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.5  2010/04/10 17:08:24  baggins
- rel 2
- fixed BR/R

Revision 1.4  2010/04/10 16:28:17  baggins
- 0.4.10
- spec updated according to template

Revision 1.3  2010/04/08 21:18:56  baggins
- renamed to ghc-hashed-storage

Revision 1.2  2009/11/26 10:04:12  arekm
- more BR

Revision 1.1  2009/11/26 10:01:49  arekm
- raw



